This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 797184 - Apply useful upstream patches
Apply useful upstream patches
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: icecast (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-24 08:28 EST by Petr Pisar
Modified: 2013-01-02 14:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:28:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
List ondemand streams (1.10 KB, patch)
2012-02-24 08:31 EST, Petr Pisar
no flags Details | Diff
Fix polling on non-blocking socket (1001 bytes, patch)
2012-02-24 08:34 EST, Petr Pisar
no flags Details | Diff
Send Host: to server (596 bytes, patch)
2012-02-24 08:35 EST, Petr Pisar
no flags Details | Diff

  None (edit)
Description Petr Pisar 2012-02-24 08:28:44 EST
Current version suffers for many problems fixed in upstream development tree. Some of them are even regressions. I propose following three patches to apply.
Comment 1 Petr Pisar 2012-02-24 08:31:29 EST
Created attachment 565600 [details]
List ondemand streams

This restores listing on-demand streams without history on the status page. This is a regression.
Comment 2 Petr Pisar 2012-02-24 08:34:03 EST
Created attachment 565601 [details]
Fix polling on non-blocking socket
Comment 3 Petr Pisar 2012-02-24 08:35:16 EST
Created attachment 565602 [details]
Send Host: to server

Upstream servers hosting virtual HTTP servers needs to know which server client requests.
Comment 4 Fedora Update System 2012-10-15 10:42:53 EDT
icecast-2.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.fc18
Comment 5 Fedora Update System 2012-10-15 12:02:01 EDT
icecast-2.3.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.el6
Comment 6 Fedora Update System 2012-10-15 12:28:33 EDT
icecast-2.3.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.el5
Comment 7 Fedora Update System 2012-10-15 12:42:20 EDT
icecast-2.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icecast-2.3.3-1.fc17
Comment 8 Fedora Update System 2012-10-15 13:37:26 EDT
Package icecast-2.3.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icecast-2.3.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16130/icecast-2.3.3-1.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-20 10:28:16 EST
icecast-2.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-02 14:07:33 EST
icecast-2.3.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-02 14:10:43 EST
icecast-2.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.